Atto: EEXCESS Editor

Maintained by Picture of Artur Khotenko Artur Khotenko
Atto EEXCESS editor
8 sites
2 fans

Additional plugin for block eexcess ( for inserting citations into a text or image in atto editor.

Installation and usage instruction:


Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4
Screenshot #5
Screenshot #6


Picture of Artur Khotenko
Artur Khotenko (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Mike Churchward
    Wed, 1 Jun 2016, 2:35 AM
    Hi. I am reviewing your submission for inclusion into the plugins database. Could you review the identified coding issues above and see if they can be addressed in the meantime?
  • Picture of Mike Churchward
    Wed, 1 Jun 2016, 2:53 AM
    I installed the editor as an atto plugin, but it caused the issue described here -
    Basically, I think you just need a "dependencies" entry in your version file. After I installed the eexcess block, the error went away.

    After that, I could see the new button in the editor. I'm not sure what it should do though. I highlighted text and pictures and used the button, but nothing was changed or inserted. Am I using it wrong?
  • Picture of Mike Churchward
    Wed, 1 Jun 2016, 3:10 AM
    Added an issue for an unprotected script -
  • Picture of David Mudrák
    Wed, 1 Jun 2016, 10:34 PM

    Thanks Artur for sharing another plugin with the plugin community, and thanks Mike for detailed peer-review. I see things are being discussed and solved in the tracker so I am going to mark this as needing more work. Once a new version with fixes is uploaded, please schedule the plugin for re-approval. Thanks for your patience!

  • Picture of Artur Khotenko
    Wed, 1 Jun 2016, 11:10 PM
    new version(2016060100) of plugin already submitted and issues on github closed.
    Thanks in advance for checking.
  • Picture of Mike Churchward
    Thu, 2 Jun 2016, 3:34 AM
    Hi Artur. I have checked your latest release, and the dependency now requires the block installation. I looked at the unprotected script, and it is now protected. I did leave one further suggestion on how to possibly handle the potential error better in, but that is not required for acceptance.
    I'm still not sure if the edit button works as I couldn't figure out what to do with it, but I'm guessing users of "eexcess" will no better.
    Thanks for the submission.
  • Picture of David Mudrák
    Thu, 2 Jun 2016, 2:58 PM

    Thanks guys to both for sorting things out. I am happy to approve the plugin now, welcome to the Plugins directory!

Please login to post comments